<div class="container">
  <div class="box">
    <!-- Form Directive  -->
    <form
      class="form-container"
      [formGroup]="loginForm"
      (ngSubmit)="onSubmit()"
    >
      <div class="form-group mb-3">
        <label for="exampleInputEmail1" class="form-label">Email address</label>
        <input
          type="email"
          class="form-control"
          formControlName="email"
          [ngClass]="{ 'is-invalid': submitted && f['email'].errors }"
        />

        <div *ngIf="submitted && f['email'].errors" class="invalid-feedback">
          <div *ngIf="f['email'].errors.required">
            Email Address is Required.
          </div>
        </div>
      </div>
      <div class="form-group mb-3">
        <label for="exampleInputPassword1" class="form-label">Password</label>
        <input
          type="password"
          class="form-control"
          formControlName="password"
          [ngClass]="{ 'is-invalid': submitted && f['password'].errors }"
        />

        <div *ngIf="submitted && f['password'].errors" class="invalid-feedback">
          <div *ngIf="f['password'].errors.required"></div>
          Password is Required.
        </div>
      </div>

      <div class="d-grid">
        <button type="submit" class="btn btn-primary btn-block">Login</button>
      </div>
    </form>
  </div>
</div>
